module Xhtml : Eliom_mkreg.ELIOMREGSIG with
type page = Cduce_lib.Value.t

type params = { path : string list; serviceName : string}
type post_params = { postServiceName : string}
type coservice_params = { coServiceName : string}
    
val register_cduce_service: params -> Cduce_lib.Value.t -> unit
val register_cduce_post_service: post_params -> string -> Cduce_lib.Value.t 
  -> unit
val register_cduce_coservice: coservice_params -> string -> Cduce_lib.Value.t -> unit
val register_cduce_post_coservice: coservice_params -> string -> Cduce_lib.Value.t -> unit

(*
TODO:
  type ServerParamID = SpID int;;
*)
val make_string_base_uri: string -> string * (string * string) list
val make_string_base_post_uri: string -> string * (string * string) list * (string * string) list
val debug_string: string -> unit
val convert_fun_param: Cduce_lib.Value.t -> unit
